All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Portal |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.portal.portlet
Interface RemotePortletContext

All Superinterfaces:
  java.io.Serializable

    @SASScope(value="ALL")
    public interface RemotePortletContext

extends java.io.Serializable

Common storage area assigned to each portlet instance. For each unique user session that interacts with a given portlet, a separate instance of a `PortletContext` is created and stored in the user session.

Since:
  09/02/2002

Method Summary
`abstract java.lang.String` | `getId()` Get ID for the portlet context
`abstract java.lang.String` | `getMode()` get the mode for the portlet.
`abstract java.lang.String` | `getOriginatingHost()` Get the originating host stored in the PortletContext.
`abstract java.lang.String` | `getOriginatingLocale()` Get the originating locale stored in the PortletContext.
`abstract int` | `getOriginatingPort()` Get the originating port stored in the PortletContext.
`abstract java.lang.String` | `getOriginatingWebContext()` Get the originating web context stored in the PortletContext.
`abstract java.lang.String` | `getPageEntityKey()` Get the page entity key stored in this PortletContext
`abstract java.lang.String` | `getPortletEntityKey()` Get the portlet entity key stored in this PortletContext 22Feb2010 NOTE NOTE NOTE - this is used by non-Portal code... must remain
`abstract java.lang.String` | `getProtocol()` Get the protocol stored in the PortletContext.
`abstract void` | `resetMode()` Reset the mode of the portlet to the default mode.
`abstract java.lang.String` | `resolveURLForActionName(java.lang.String name)` This will look up all actions stored in the PortletInfo that is attached to this PortletContext.

Method Detail

### getId

    java.lang.String getId()

  Get ID for the portlet context

  Returns:
    `java.lang.String` - the portlet context ID

### getPageEntityKey

    java.lang.String getPageEntityKey()

  Get the page entity key stored in this PortletContext

  Returns:
    `java.lang.String` - the Page entity key stored in this PortletContext

### getPortletEntityKey

    java.lang.String getPortletEntityKey()

  Get the portlet entity key stored in this PortletContext 22Feb2010 NOTE NOTE NOTE - this is used by non-Portal code... must remain

  Returns:
    `java.lang.String` - the Portlet entity key stored in this PortletContext

### getProtocol

    java.lang.String getProtocol()

  Get the protocol stored in the PortletContext. Support for Remote Portlets 22Feb2010 NOTE NOTE NOTE - this is used by non-Portal code... must remain

  Returns:
    `java.lang.String` - the protocol stored in the PortletContext

### getOriginatingHost

    java.lang.String getOriginatingHost()

  Get the originating host stored in the PortletContext. Support for Remote Portlets 22Feb2010 NOTE NOTE NOTE - this is used by non-Portal code... must remain

  Returns:
    `java.lang.String` - the originating host stored in the PortletContext

### getOriginatingWebContext

    java.lang.String getOriginatingWebContext()

  Get the originating web context stored in the PortletContext. Support for Remote Portlets

  Returns:
    `java.lang.String` - the originating web context stored in the PortletContext

### getOriginatingPort

    int getOriginatingPort()

  Get the originating port stored in the PortletContext. Support for Remote Portlets 22Feb2010 NOTE NOTE NOTE - this is used by non-Portal code... must remain

  Returns:
    `java.lang.int` - the originating port stored in the PortletContext

### getOriginatingLocale

    java.lang.String getOriginatingLocale()

  Get the originating locale stored in the PortletContext. Support for Remote Portlets

  Returns:
    `java.lang.int` - the originating locale stored in the PortletContext

### resolveURLForActionName

    java.lang.String resolveURLForActionName(java.lang.String name)

  This will look up all actions stored in the PortletInfo that is attached to this PortletContext. It will then return the URL first PortletActionInfoInterface object whose name matches the name passed in.

  Returns:
    `java.lang.String` - the URL for the action name passed in

### getMode

    java.lang.String getMode()

  get the mode for the portlet. This is to support state changes for portlets. Choices: PortletConstants.DISPLAY_MODE PortletConstants.EDIT_MODE PortletConstants.NORENDER_MODE

  Returns:
    `java.lang.String` - the current mode for the portlet

### resetMode

    void resetMode()

  Reset the mode of the portlet to the default mode. Only valid if the portlet is not in NORENDER_MODE

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Portal |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.